=== debian/changelog ===
ros-indigo-robot-markers (0.2.1-0trusty) trusty; urgency=high

  * Fixed builder when building the whole robot.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 01 Jun 2018 07:00:00 -0000

ros-indigo-robot-markers (0.2.0-0trusty) trusty; urgency=high

  * Added ability to filter markers to a set of links.
  * Added website.
  * Update README.md
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 31 Jan 2018 08:00:00 -0000

ros-indigo-robot-markers (0.1.0-0trusty) trusty; urgency=high

  * Initial package creation.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Thu, 25 May 2017 07:00:00 -0000
