=== debian/control ===
Source: ros-indigo-robot-markers
Section: misc
Priority: extra
Maintainer: Justin Huang <jstn@cs.washington.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-tf2-kdl, ros-indigo-tf2-ros, ros-indigo-transform-graph, ros-indigo-urdf, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/robot_markers
Standards-Version: 3.9.2

Package: ros-indigo-robot-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-tf2-kdl, ros-indigo-tf2-ros, ros-indigo-transform-graph, ros-indigo-urdf, ros-indigo-visualization-msgs
Description: Generates markers for a robot
